> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /chrono24/watches/search

> Search Chrono24 watch listings by keyword and a rich set of filters (brand, model, price, year, condition, materials, dial, movement, functions, location, seller and more). Returns id, name, subtitle, price/currency, location, image and badges.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/chrono24/watches/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/chrono24/watches/search:
    post:
      tags:
        - /chrono24
      summary: /chrono24/watches/search
      description: >-
        Search Chrono24 watch listings by keyword and a rich set of filters
        (brand, model, price, year, condition, materials, dial, movement,
        functions, location, seller and more). Returns id, name, subtitle,
        price/currency, location, image and badges.


        **Price:** 1 credit
      operationId: __api_chrono24_watches_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Chrono24SearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Chrono24SearchWatch'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Chrono24SearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        domain:
          $ref: '#/components/schemas/Chrono24Domain'
          default: chrono24.com
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          minimum: 1
        currency:
          anyOf:
            - $ref: '#/components/schemas/Chrono24Currency'
            - type: 'null'
        sort:
          anyOf:
            - $ref: '#/components/schemas/Chrono24Sort'
            - type: 'null'
        price_from:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        price_to:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        year_from:
          anyOf:
            - type: integer
              maximum: 2100
              minimum: 1500
            - type: 'null'
        year_to:
          anyOf:
            - type: integer
              maximum: 2100
              minimum: 1500
            - type: 'null'
        diameter_from:
          anyOf:
            - type: integer
              maximum: 200
              minimum: 1
            - type: 'null'
        diameter_to:
          anyOf:
            - type: integer
              maximum: 200
              minimum: 1
            - type: 'null'
        thickness_from:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 1
            - type: 'null'
        thickness_to:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 1
            - type: 'null'
        lug_width_from:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 1
            - type: 'null'
        lug_width_to:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 1
            - type: 'null'
        brand_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        model_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        collection_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        reference_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        merchant_id:
          anyOf:
            - type: integer
            - type: 'null'
        country_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        condition:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24Condition'
              type: array
            - type: 'null'
        new_used:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24NewUsed'
              type: array
            - type: 'null'
        case_material:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24CaseMaterial'
              type: array
            - type: 'null'
        bezel_material:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24BezelMaterial'
              type: array
            - type: 'null'
        band_material:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24BandMaterial'
              type: array
            - type: 'null'
        band_color:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24BandColor'
              type: array
            - type: 'null'
        clasp_material:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24ClaspMaterial'
              type: array
            - type: 'null'
        clasp:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24Clasp'
              type: array
            - type: 'null'
        dial_color:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24DialColor'
              type: array
            - type: 'null'
        dial_style:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24DialStyle'
              type: array
            - type: 'null'
        crystal:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24Crystal'
              type: array
            - type: 'null'
        movement:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24Movement'
              type: array
            - type: 'null'
        functions:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24Function'
              type: array
            - type: 'null'
        watch_style:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24WatchStyle'
              type: array
            - type: 'null'
        other_attributes:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24OtherAttribute'
              type: array
            - type: 'null'
        gender:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24Gender'
              type: array
            - type: 'null'
        watch_category:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24WatchCategory'
              type: array
            - type: 'null'
        watch_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24WatchType'
              type: array
            - type: 'null'
        water_resistance:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24WaterResistance'
              type: array
            - type: 'null'
        delivery_contents:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24DeliveryContents'
              type: array
            - type: 'null'
        availability:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24Availability'
              type: array
            - type: 'null'
        seller_type:
          anyOf:
            - items:
                $ref: '#/components/schemas/Chrono24SellerType'
              type: array
            - type: 'null'
        certified:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - count
    Chrono24SearchWatch:
      properties:
        '@type':
          type: string
          default: Chrono24SearchWatch
        id:
          type: string
        url:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        shipping_info:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        certified_status:
          anyOf:
            - type: string
            - type: 'null'
        badges:
          items:
            type: string
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    Chrono24Domain:
      type: string
      enum:
        - chrono24.com
        - chrono24.co.uk
        - chrono24.com.au
        - chrono24.ca
        - chrono24.in
        - chrono24.co.id
        - chrono24.my
        - chrono24.co.nz
        - chrono24.ph
        - chrono24.sg
        - chrono24.co.za
        - chrono24.fi
        - chrono24.co.th
        - chrono24.ae
        - chrono24.de
        - chrono24.fr
        - chrono24.it
        - chrono24.es
        - chrono24.nl
        - chrono24.at
        - chrono24.ch
        - chrono24.se
        - chrono24.pl
        - chrono24.com.br
        - chrono24.hk
        - chrono24.jp
        - chrono24.cn
    Chrono24Currency:
      type: string
      enum:
        - USD
        - EUR
        - GBP
        - CHF
        - AUD
        - CAD
        - JPY
        - HKD
        - SGD
        - CNY
        - INR
        - AED
        - SEK
        - PLN
        - BRL
        - ZAR
        - NZD
        - THB
        - MYR
        - IDR
        - PHP
    Chrono24Sort:
      type: string
      enum:
        - relevance
        - price_asc
        - price_desc
        - newest
        - popularity
    Chrono24Condition:
      type: string
      enum:
        - new
        - like_new_and_unworn
        - very_good
        - good
        - fair
        - incomplete
        - no_details
    Chrono24NewUsed:
      type: string
      enum:
        - new_unworn
        - used
        - no_details
    Chrono24CaseMaterial:
      type: string
      enum:
        - aluminum
        - brass
        - bronze
        - carbon
        - ceramic
        - gold_steel
        - gold_plated
        - palladium
        - plastic
        - platinum
        - rose_gold
        - sapphire_crystal
        - silver
        - steel
        - tantalum
        - titanium
        - tungsten
        - white_gold
        - yellow_gold
        - no_details
    Chrono24BezelMaterial:
      type: string
      enum:
        - aluminum
        - brass
        - bronze
        - carbon
        - ceramic
        - gem_set
        - gold_steel
        - gold_plated
        - palladium
        - plastic
        - platinum
        - red_gold
        - rose_gold
        - rubber
        - silver
        - steel
        - tantalum
        - titanium
        - tungsten
        - white_gold
        - yellow_gold
        - no_details
    Chrono24BandMaterial:
      type: string
      enum:
        - alligator_skin
        - aluminium
        - brass
        - calf_skin
        - ceramic
        - crocodile_skin
        - gold_steel
        - gold_plated
        - leather
        - lizard_skin
        - ostrich_skin
        - plastic
        - platinum
        - red_gold
        - rose_gold
        - rubber
        - satin
        - shark_skin
        - silicon
        - silver
        - snake_skin
        - steel
        - textile
        - titanium
        - white_gold
        - yellow_gold
        - no_details
    Chrono24BandColor:
      type: string
      enum:
        - beige
        - black
        - blue
        - bordeaux
        - bronze
        - brown
        - gold
        - gold_steel
        - green
        - grey
        - orange
        - pink
        - purple
        - red
        - silver
        - steel
        - white
        - yellow
        - no_details
    Chrono24ClaspMaterial:
      type: string
      enum:
        - aluminum
        - bronze
        - gold_steel
        - plastic
        - platinum
        - red_gold
        - rose_gold
        - silver
        - steel
        - titanium
        - white_gold
        - yellow_gold
        - no_details
    Chrono24Clasp:
      type: string
      enum:
        - buckle
        - double_fold_clasp
        - fold_clasp
        - fold_clasp_hidden
        - jewelry_clasp
        - no_clasp
        - no_details
    Chrono24DialColor:
      type: string
      enum:
        - black
        - blue
        - bordeaux
        - bronze
        - brown
        - champagne
        - gold
        - gold_solid
        - green
        - grey
        - meteorite
        - mother_of_pearl
        - orange
        - pink
        - purple
        - red
        - silver
        - silver_solid
        - skeletonized
        - skeletonized_2
        - turquoise
        - white
        - yellow
        - no_details
    Chrono24DialStyle:
      type: string
      enum:
        - arabic_numerals
        - gemstones
        - lines
        - no_numerals
        - roman_numerals
        - no_details
    Chrono24Crystal:
      type: string
      enum:
        - glass
        - mineral_glass
        - plastic
        - plexiglass
        - sapphire_crystal
        - no_details
    Chrono24Movement:
      type: string
      enum:
        - automatic
        - manual_winding
        - quartz
        - smartwatch
        - solar
        - no_details
    Chrono24Function:
      type: string
      enum:
        - v4_year_calendar
        - alarm
        - annual_calendar
        - chiming_clock
        - chronograph
        - date
        - double_chronograph
        - equation_of_time
        - flyback
        - gmt
        - jumping_hour
        - minute_repeater
        - month
        - moon_phase
        - panorama_date
        - perpetual_calendar
        - repeater
        - tachymeter
        - tourbillon
        - weekday
        - year
    Chrono24WatchStyle:
      type: string
      enum:
        - automatic_watches
        - business_watches
        - calendar_watches
        - chronographs
        - chronometer
        - diving_watches
        - dress_watches
        - flyback_chronographs
        - large_xxl_watches
        - left_handed_watches
        - limited_edition_watches
        - manually_wound_watches
        - mechanical_watches
        - military_watches
        - minute_repeater
        - moon_phase_watches
        - one_hand_watches
        - perpetual_calendar_watches
        - pilot_s_watches
        - quartz_watches
        - racing_watches
        - rectangular_watches
        - russian_watches
        - sailing_watches
        - sapphire_glass_watches
        - skeleton_watches
        - smartwatches
        - solar_watches
        - sports_watches
        - swiss_watches
        - tachymeter_watches
        - thin_watches
        - tonneau_watches
        - tourbillon_watches
        - vintage_watches
        - watches_from_german_manufacturers
        - watches_with_a_geneva_seal
        - watches_with_a_see_through_case_back
        - world_time_watches
    Chrono24OtherAttribute:
      type: string
      enum:
        - central_seconds
        - chronometer
        - crown_left
        - display_back
        - gemstones_and_or_diamonds
        - genevian_seal
        - guilloch_dial
        - guilloch_dial_handwork
        - helium_valve
        - limited_edition
        - luminous_hands
        - luminous_indices
        - luminous_numerals
        - master_chronometer
        - one_hand_watches
        - only_original_parts
        - power_reserve_display
        - pvd_dlc_coating
        - quick_set
        - rotating_bezel
        - screw_down_crown
        - screw_down_push_buttons
        - skeletonized
        - small_seconds
        - smartwatch
        - solar_watch
        - special_edition
        - tempered_blue_hands
        - vintage
        - world_time_watch
    Chrono24Gender:
      type: string
      enum:
        - men_s_watch_unisex
        - women_s_watch
    Chrono24WatchCategory:
      type: string
      enum:
        - wristwatch
        - pocket_watch
        - other_watch_clock
    Chrono24WatchType:
      type: string
      enum:
        - watches
        - parts_accessories
    Chrono24WaterResistance:
      type: string
      enum:
        - not_water_resistant
        - v1_atm
        - v2_atm
        - v2_5_atm
        - v3_atm
        - v4_atm
        - v5_atm
        - v6_atm
        - v7_atm
        - v8_atm
        - v9_atm
        - v10_atm
        - v15_atm
        - v20_atm
        - v30_atm
        - v40_atm
        - v50_atm
        - v60_atm
        - v70_atm
        - v90_atm
        - v100_atm
        - v110_atm
        - v120_atm
        - over_120_atm
        - no_details
    Chrono24DeliveryContents:
      type: string
      enum:
        - watch_with_original_box_and_original_papers
        - watch_with_original_papers
        - watch_with_original_box
    Chrono24Availability:
      type: string
      enum:
        - item_is_in_stock
        - item_needs_to_be_procured
        - item_available_on_request
    Chrono24SellerType:
      type: string
      enum:
        - chrono24_direct
        - private_sellers
        - professional_dealer
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````